Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I'm using ruby 4.2, rubygems 1.3.5-1ubuntu2 and Ubuntu Lucid Lynx. I installed ruby and rubygems with Synaptic.

Since "The gem command will output its progress while it sucks down and installs all the necessary gems for a full Merb install. " is written at http://wiki.merbivore.com/howto/installation/gems, when I type sudo gem update --system, I get: "ERROR: While executing gem ... (RuntimeError)
gem update --system is disabled on Debian. RubyGems can be updated using the official Debian repositories by aptitude or apt-get."
and rubygems has list, build and help commands, I'm wondering if in Ubuntu rubygems is used only for something other than downloading.

If it isn't, why isn't rubygems showing any text for sudo gem install merb?

share|improve this question
    
I don't know gem, but most programs have a verbose option (--verbose or something). Check the man file for a verbose option, add that, and see if it still gives no output. –  Jarvin Jun 7 '10 at 20:40

2 Answers 2

Going on the following line

RubyGems can be updated using the official Debian repositories by aptitude or apt-get.

Open your shell and type the following

sudo apt-get install rubygems 

Also have a look here

http://docs.rubygems.org/read/chapter/3#page14

  • This is probably not what your after but thought i would try and get an idea of what's going on
share|improve this answer
    
While trying to install merb, I installed some libraries for ruby, and for merb, then ruby and rubygems from source, then some -dev things from Synaptic, but I think what made it work was isntalling ruby1.8-dev from apt-get and adding rubygems bin dir to sudo path! –  Delirium tremens Jun 7 '10 at 20:30
up vote 0 down vote accepted

Install ruby1.8-dev from apt-get and add rubygems bin dir to sudo path. I think that's what made it work.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.